%define _provides_exceptions perl(Test::\\(More\\|Builder\\))

%define with_guile 0
%{?_with_ruby: %{expand: %%global with_ruby 1}}

%define with_ocaml 0
%{?_with_ruby: %{expand: %%global with_ruby 1}}

%define with_mono 0
%{?_with_ruby: %{expand: %%global with_ruby 1}}

Name: swig
Version: 2.0.4
Release: %mkrel 2
Epoch: 1
Summary: Simplified Wrapper and Interface Generator (SWIG)
License: BSD-like
Group: Development/Other
URL: http://www.swig.org/
Source0: http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: swig-1.3.23-pylib.patch
Patch4: swig203-rh706140.patch
Patch5: swig204-rh752054.patch
BuildRequires: bison
BuildRequires: imake
%if %{with_guile}
BuildRequires: guile-devel
%endif
%if %{with_ocaml}
BuildRequires: ocaml
%endif
BuildRequires: lua-devel
%if %{with_mono}
BuildRequires: mono
BuildRequires: mono-devel
%endif
BuildRequires: pcre-devel
BuildRequires: libstdc++-devel
BuildRequires: boost-devel
BuildRequires: perl-devel
BuildRequires: php-devel
BuildRequires: python-devel
BuildRequires: ruby-devel
BuildRequires: tcl-devel
BuildRequires: automake
BuildRequires: autoconf2.5
Obsoletes: swig-devel

%description
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.


%package        doc
Summary:        Documentation and examples for %{name}
Group:          Development/C
BuildArch:	noarch
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    doc
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

Install the %{name}-doc package if you want to look at example and 
documentation.


%prep
%setup -q
%patch0 -p1 -b .pylib
%patch4 -p1 -b .rh706140
%patch5 -p1 -b .rh752054

%build
./autogen.sh
%configure2_5x
%make

%install
%makeinstall_std 

%files
%doc ANNOUNCE INSTALL CHANGES CHANGES.current LICENSE README TODO
%{_bindir}/swig
%{_bindir}/ccache-swig
%{_datadir}/swig
%{_mandir}/man1/*1*

%files doc
%doc Examples Doc/Manual


%changelog

* Mon Mar 12 2012 fwang <fwang> 1:2.0.4-2.mga2
+ Revision: 223038
- add patch from rhbug#752054 to try fixing guile loading
- mark doc package as noarch
- new version 2.0.4
- new version 2.0.3

* Mon Feb 07 2011 spuhler <spuhler> 1:1.3.40-5.mga1
+ Revision: 48270
- increase rel to 5 to be rebuilt
- removed buildroot definition from .spec

* Thu Jan 13 2011 dmorgan <dmorgan> 1:1.3.40-4.mga1
+ Revision: 16626
- remove mdv macros

  + ahmad <ahmad>
    - imported package swig

